Remoting Framework

Discussion in 'General' started by mlz, Jan 1, 2007.

  1. mlz

    mlz New Member

    After about 4 hours of wasted work, I suddenly realized that the reason my development machine for ISPConfig has suddenly tanked was because I had the remoting framework installed. While not super damaging, it would have been kinda nice if the beta didn't kill ISPC when it dies...

    Now that I'm done ranting, and starting to backup up my development machine without the framework, I have a couple of questions about said framework.

    I now need to decide if I'm going to code around the framework, and basically build my own API or use the framework. There doesn't seem to be as much development on it, and it only works with less stable and unsupported versions of IPSC. Thus I pay for a plug in that may never make it to my customers.

    I realize that I can buy 42ISPGo, however it also looks dated, and doesn't fit my needs nearly as well as ISPConfig does.

    The following are the questions I have about it (that are not rhetorical!)

    1) Will the framework / Devel version soon be released as stable?
    2) Are the issues behind killing the tools menu when the beta expires going to be resolved, or is this something we're going to see with other "plug in software"
    3) How the heck do you buy the framework. I didn't see any link or address to send a payment to order it.

    Again, I mean no offense to the development team. I had forgotten that the module expired on the first of the year, and while it effectively halts my own development, it's my own darn fault for not paying attention to that part. :)
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Just delete the remoting framework folder in /home/admispconfig/ispconfig/web/tools/tools to remove the remoting framework. Thats all, no restoring of a backup nescessary.

    The remoting framework works with the stable versions as well, when you enable the XML library for PHP in the compile script of the ISPConfig installer.

    Yes. We are just been waiting for a last few fixes we want to do in the dev branch of ISPConfig that shall be reflected in the final version of the remoting API.

    As I posted above, you will just have to delete one folder to fix it. There is no other tool that can expire.

    There will be a link when the module is officually available.

    I will upload a non expiring beta on the download page tomorrow, so anyone can try the remoting API beta without fear that it expires until we release the final version.
  3. mlz

    mlz New Member

    Thanks Till, it's much appreciated. :)
  4. till

    till Super Moderator Staff Member ISPConfig Developer


    I just uploaded the beta 3 as non time limited version. Please download the .pkg file again and install it with the ISPConfig software update function. In case you encounter any problems, please post them here.

  5. mlz

    mlz New Member

    Thanks, installed right in there, and appears to be working.
  6. nukepuppy

    nukepuppy New Member

  7. till

    till Super Moderator Staff Member ISPConfig Developer

    Its the correct location and there is no time limit in thr sources. What is the exact error message you get? Was the remoting framework installed before on this server?
  8. nukepuppy

    nukepuppy New Member

    hi... well the error message is basicly the broken "tools" section of ispconfig that gives a blank frame in MSIE.. or a black broken javascript frame in firefox.

    the ispconfig2.3.1 devel stuff /was/ installed but i did the fix for the deleting remote stuff to get it to work..

    then decided to just use the stable version with the XML options enabled in the compile script of ispconfig.

    i then figured id try out by using the update software tool directly to the PKG link... from ispconfig menu... and the problem came right back with the broken tools menu...

    not understanding where im going wrong... ive since deleted the remote tool again to get the tools menu working again
  9. till

    till Super Moderator Staff Member ISPConfig Developer

    I dont think that your error is related to the expiring files.

    It might be that the PHP version in ISPConfig 2.2.9 is too new, I will have to check that.
  10. nukepuppy

    nukepuppy New Member

    well thanks, I'll keep an eye on the thread.

    Still haven't managed to get the remote stuff working was still trying to develope signup type pages for it.... then new years break came along and that stopped everything.. now the thing expired and i cant recontinue trying to work on it until i get it resolved..

    last time i kept getting some kunde_dns or some sort errors that wouldnt allow me to create domains hohum..

    thanks for your time

Share This Page